Armature personnalisée Arch

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar and the translation is 100% complete.

Arch Rebar.png Armature personnalisée

Emplacement du menu
Arch → Rebar
Ateliers
Arch
Raccourci par défaut
R B
Voir aussi
Structure


Description

L'outil Armature vous permet de placer des barres d'armature dans les objets Structure. Les objets Armatures sont basés sur des profils 2D comme les esquisses ou les objets dessin, qui doivent être dessinés sur une face d'un objet Structure. Vous pouvez ensuite ajuster la configuration de l'armature comme le nombre et le diamètre des barres ou la distance de décalage entre les deux extrémités de l'élément structurel.

Arch Rebar example.jpg

L'image ci dessus montre un objet structurel, sur lequel deux esquisses sont dessinées, qui définissent le chemin des barre de fer. Ces deux esquisses sont ensuite transformées en objet Armature.

Extension disponible

L'outil Armature a été considérablement amélioré au cours de l'édition 2017 Google Summer of Code. Le résultat de ce travail est une série de nouveaux préréglages et d'assistants pour les types d'armatures les plus courants. Ils sont regroupés sous un module indépendant appelé Renforcement, que vous pouvez installer via le menu Outils -> Gestionnaire des extensions. Une fois l'extension de renforcement installée, lors de la prochaine exécution, FreeCAD la détectera et ajoutera une série de nouveaux outils sous le bouton Armature de la barre d'outils Arch et du menu. Les différents outils de l'extension Renfort sont décrits sur la page Atelier Arch.

Comment l'utiliser

  1. Créez un objet Structure.
  2. Déplacez vous dans l'atelier Esquisse
  3. Sélectionnez une face de l'objet Structure
  4. Appuyez sur le bouton Sketcher NewSketch.png Nouvelle Esquisse pour démarrer l'édition d'une nouvelle esquisse sur la face choisie
  5. Dessinez la forme de l'Armature
  6. Cliquez sur le bouton Sketcher LeaveSketch.png Quitter l'Esquisse pour finir
  7. Revenez dans l'atelier Arch
  8. Sélectionnez l'esquisse que vous venez de dessiner
  9. Appuyez sur le bouton Arch Rebar.png Armature, ou pressez les touches R puis B
  10. Ajustez les propriétés désirées (votre armature peut ne pas apparaitre immédiatement, si certaines propriétés créent des situations impossibles comme un diamètre égal à 0 mm ou un décalage plus grand que la longueur de l'objet Structure).

Options

  • Armature partage les propriétés communes et les comportements de tous les Composants Arch.
  • La valeur d'arrondi est exprimée en multiples du diamètre. Si la barre a un diamètre de 5 mm, la valeur d'arrondi de 3 va créer des angles arrondis d'un rayon de 15 mm.
  • La valeur par défaut des nouvelles Armatures peut être définie dans les préférences de l'atelier Arch.
  • Si un vecteur de direction n'est pas spécifié, la direction et la distance le long de laquelle les barres seront répandues sont définies automatiquement sur l'objet hôte structurel, en prenant la direction normale de l'esquisse de base et en son intersection avec l'objet structurel. Si vous spécifiez un vecteur de direction, la longueur de ce vecteur va également être prise en compte.
  • La valeur d'espacement est calculée d'après le nombre actuel des barres et représente la distance entre les axes de chaque barre. Vous devez donc soustraire le diamètre de la barre pour obtenir la taille de l'espace libre entre les barres.

Propriétés

  • DONNÉESQuantité: La quantité de barres.
  • DONNÉESDiamètre: Le diamètre des barres.
  • DONNÉESDirection: La direction (et longueur) selon laquelle la barre est répartie. Si la valeur est (0,0,0), la direction est calculée automatiquement en fonction de l'objet Structure hôte.
  • DONNÉESDécalage de départ: La distance du décalage entre le bord de l'objet Structure et la première barre.
  • DONNÉESDécalage de fin: La distance du décalage entre le bord de l'objet Structure et la dernière barre.
  • DONNÉESArrondi de pliage: Une valeur d'arrondi qui s'applique aux angles des barres, est un multiple du diamètre.
  • DONNÉESEspacement: L'espacement des axes de chaque barre.

Script

L'outil Armature peut être utilisé dans les macros et depuis la console Python en utilisant les fonctions suivantes :

makeRebar (structure,sketch,[diameter],[amount],[offset]) 
  • Ajoute une Armature à un objet Structure donné, en utilisant l'esquisse donnée comme profil.
  • S'il n'y a pas de diamètre, la quantité ou la valeur de décalage ne sont pas définies, les valeurs par défaut définies dans les préférences de l'atelier Arch sont appliquées.
  • Retourne le nouvel objet Armature.

Exemple :

import FreeCAD, Arch, Sketcher, PArt
struct = Arch.makeStructure(1,1,3)
sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject','Sketch')
sketch.Support = (struct,["Face6"])
sketch.addGeometry(Part.Line(App.Vector(-0.4,0.4,0),App.Vector(0.4,0.4,0)))
Arch.makeRebar(structure,sketch) 
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский • ‎svenska • ‎українська